# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=lxde-common
pkgver=0.99.2
pkgrel=0
pkgdesc="Common files of the LXDE Desktop"
url="https://lxde.org/"
arch="noarch"
license="GPL-2.0-or-later"
depends="lxde-icon-theme desktop-file-utils hicolor-icon-theme shared-mime-info lxpanel lxsession libfm libfm-extra openbox pcmanfm"
makedepends="intltool"
subpackages="$pkgname-doc"
options="!check"
source="https://downloads.sourceforge.net/lxde/lxde-common-$pkgver.tar.xz"

build() {
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr \
		--sysconfdir=/etc
	make
}

package() {
	make DESTDIR="$pkgdir" install
}

sha512sums="9eb939ad411ed15c6bae880541b5c021ce5f3dd66df8662865e2f7219159110d8bf6059a707e55863d04617b17a15ea517317c44f88982344369aa85b7128b6e  lxde-common-0.99.2.tar.xz"
